<div class="product-offer-card" *ngIf="!isLoading; else loading">
  <div
    class="product-offer-card--new"
    *ngIf="productOfferCard?.isNew && showIsNewTag"
  >
    <span>{{ "APP.TAGS.NEW" | translate | uppercase }}</span>
  </div>
  <p class="title">{{ productOfferCard?.productName }}</p>

  <ng-container *ngIf="productOfferCard?.offerName">
    <div class="divider"></div>
    <p class="title">{{ productOfferCard?.offerName }}</p>
  </ng-container>
  <ng-container
    *ngIf="
      showDetails &&
      productOfferCard?.amountMin &&
      productOfferCard?.amountMax &&
      productOfferCard?.numberOfInstallments
    "
  >
    <div class="divider"></div>
    <div class="details" [ngClass]="{ 'details--list': listDetails }">
      <p class="details__info">
        <b>{{ amountLabel | translate }}:</b>
        {{ productOfferCard?.amountMin | customCurrency }} -
        {{ productOfferCard?.amountMax | customCurrency }}
      </p>
      <p class="details__info">
        <b>{{ numberOfInstallmentsLabel | translate }}:</b>
        {{ productOfferCard?.numberOfInstallments }}
      </p>
    </div>
  </ng-container>
</div>

<ng-template #loading>
  <div class="product-offer-card">
    <div class="title">
      <layout-skeleton
        *ngFor="let skeleton of skeletonLoader"
        [skeleton]="skeleton"
      ></layout-skeleton>
    </div>
    <div class="divider"></div>
    <div class="title">
      <layout-skeleton
        *ngFor="let skeleton of skeletonLoader"
        [skeleton]="skeleton"
      ></layout-skeleton>
    </div>
  </div>
</ng-template>
